CREATE TABLE gl_request_information (
    ESS_REQUEST_ID           NUMBER       ,
    INFORMATION_TYPE_CODE    VARCHAR2(120),
    INFORMATION1             VARCHAR2(400)    NOT NULL,
    INFORMATION2             VARCHAR2(400),
    INFORMATION3             VARCHAR2(400),
    INFORMATION4             VARCHAR2(400),
    INFORMATION5             VARCHAR2(400),
    INFORMATION6             VARCHAR2(400),
    INFORMATION7             VARCHAR2(400),
    INFORMATION8             VARCHAR2(400),
    INFORMATION9             VARCHAR2(400),
    INFORMATION10            VARCHAR2(400),
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    ESS_REQUEST_ID           NUMBER       ,
    INFORMATION_TYPE_CODE    VARCHAR2(120),
    INFORMATION1             VARCHAR2(400)    NOT NULL,
    INFORMATION2             VARCHAR2(400),
    INFORMATION3             VARCHAR2(400),
    INFORMATION4             VARCHAR2(400),
    INFORMATION5             VARCHAR2(400),
    INFORMATION6             VARCHAR2(400),
    INFORMATION7             VARCHAR2(400),
    INFORMATION8             VARCHAR2(400),
    INFORMATION9             VARCHAR2(400),
    INFORMATION10            VARCHAR2(400),
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_gl_request_information PRIMARY KEY (ESS_REQUEST_ID, INFORMATION_TYPE_CODE, ESS_REQUEST_ID, INFORMATION_TYPE_CODE)
);
